% Function for Finding the Rates xdot
function [xdot]=rates3dof(x,u,t)

% states are surge velocity, alpha, pitch rate, theta, altitude 

rho=0.002378; % sea level density
W=x(1)*tan(x(2));
V=sqrt(x(1)^2+W^2);
q=0.5*rho*V*V;
CL=4.44*(x(2)+4.7/57.3)+0.355*u(1);  % alphazero = 4.7 deg
CD=0.03+(CL*CL)/(3.14159*3.51);
L=CL*q*184;   % S=184 ft^2
D=CD*q*184;
Fax=-D*cos(x(2))+L*sin(x(2));
Faz=-D*sin(x(2))-L*cos(x(2));
Fpx=u(2);
xdot(1)=-x(3)*W-32.2*sin(x(4))+(Fax+Fpx)/85.4;         % Udot (m=85.4 sl)
xdot(2)=x(3)+32.2*cos(x(4))/x(1)+Faz/(85.4*x(1));      % alphadot
CM=-0.683*x(2)-0.071*xdot(2)-0.162*x(3)-0.87*u(1);
Ma=CM*q*184*5.7;    % cbar=5.7 ft
xdot(3)=Ma/3000;    % Qdot (Iyy=3000 sl-ft^2)
xdot(4)=x(3);       % Thetadot
xdot(5)=V*sin(x(4)-x(2));  % hdot 
