% Function for Integrating Non-Linear DE's via 4th-Order Runge-Kutta
function [xnew,tnew]=rk4LatDir(rates,x0,t0,u,delt)

xdot=feval(rates,x0,u,t0);
a=delt*xdot;
t=t0+delt/2;
x=x0+a/2;
xdot=feval(rates,x,u,t);
b=delt*xdot;
x=x0+b/2;
xdot=feval(rates,x,u,t);
c=delt*xdot;
t=t0+delt;
x=x0+c;
xdot=feval(rates,x,u,t);
d=delt*xdot;
xnew=x0+(a+2*b+2*c+d)/6;
tnew=t0+delt;
